
TYPO3.Flow - Bug # 30633

Status: Resolved Priority: Should have
Author: Yves Poersch Category: Core
Created: 2011-10-07 Assigned To: Robert Lemke
Updated: 2011-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: endless recursion when using the wrong php binary
Description

If I uses non cli-php to call flow3, it will get an endless recursion.

It will be better to stop after 100 call, or so what?

P.S.: wink @ robert ;) thanks alot!

Related issues:
related to TYPO3.Flow - Bug # 32574: FLOW3 enters fork bombs when using cgi-f... Accepted 2011-12-14

Associated revisions
Revision a7da3409 - 2011-10-11 09:11 - Robert Lemke

[BUGFIX] No endless recursion on a missing CLI PHP binary

If a wrong path has been specified or a PHP binary is used which
does not support CLI, FLOW3 could end up in an endless recursion
on executing the compile sub command.

This change set adds a check for the proper SAPI type in FLOW3's
command line script.

Change-Id: I1b0bb6e451acb60512cd1820fda1e26a5c261e04
Fixes: #30633

History
#1 - 2011-10-11 09:14 - Mr. Hudson

Patch set 1 of change I1b0bb6e451acb60512cd1820fda1e26a5c261e04 has been pushed to the review server.
It is available at http://review.typo3.org/5707

#2 - 2011-10-11 09:15 - Robert Lemke
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Priority changed from Must have to Should have

#3 - 2011-10-11 09:15 - Robert Lemke
http://review.typo3.org/5707


- Status changed from Accepted to Under Review

#4 - 2011-10-11 09:15 - Robert Lemke
- Category set to Core
- Target version set to 1230

#5 - 2011-10-13 17:06 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a7da3409cb3173d17fcabae5c5cc0c10911f0672.

#6 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0

2015-08-03 2/2


